=== debian/changelog ===
ros-melodic-srdfdom (0.5.2-1bionic) bionic; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-srdfdom (0.5.0-1bionic) bionic; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- Dave Coleman <dave@dav.ee>  Mon, 23 Apr 2018 22:00:00 -0000

ros-melodic-srdfdom (0.4.2-1bionic) bionic; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- Dave Coleman <dave@dav.ee>  Sun, 29 Jan 2017 23:00:00 -0000

ros-melodic-srdfdom (0.4.1-1bionic) bionic; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Wed, 21 Sep 2016 22:00:00 -0000

ros-melodic-srdfdom (0.4.0-1bionic) bionic; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Thu, 08 Sep 2016 22:00:00 -0000

ros-melodic-srdfdom (0.3.2-1bionic) bionic; urgency=high

  * [feat] Move SRDF-specific commands from moveit package #14 <https://github.com/ros-planning/srdfdom/issues/14>
  * [sys] remove ROS-dependent logging.
  * [sys] Much cleanup in package.xml. #12 <https://github.com/ros-planning/srdfdom/issues/12> pkg-config is no longer used after https://github.com/ros-planning/srdfdom/commit/19b23e5900e9c179089e99caae52023f95d2fec8#diff-af3b638bc2a3e6c650974192a53c7291
  * Contributors: Dave Coleman, Sarah Elliott, Robert Haschke, Isaac I.Y. Saito

 -- Dave Coleman <dave@dav.ee>  Wed, 24 Aug 2016 22:00:00 -0000

ros-melodic-srdfdom (0.3.1-1bionic) bionic; urgency=high

  * Change logError to Warn if collision link missing #10 <https://github.com/ros-planning/srdfdom/issues/10> Since MoveIt continues to load anyway, it makes sense to change the unknown collision link pairs ROS Error to a ROS Warning. Everything continues to work if a specified set of collision-link pairs is missing.
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@dav.ee>  Sun, 31 Jul 2016 22:00:00 -0000

ros-melodic-srdfdom (0.3.0-1bionic) bionic; urgency=high

  * Removed unwanted python compiled file
  * Fixed path to resource in python test to work for rostest
  * Fixed authors, added doc
  * Fixed group_state parsing and changed chain as an aggregate
  * Renamed groups as subgroups when integrated in a group
  * Added the cpp tests in the python test
  * Fixed missing install
  * Added a python parser based on urdf_parser_py and using its reflection interface
  * Contributors: Dave Coleman, Guillaume Walck

 -- Dave Coleman <dave@dav.ee>  Mon, 15 Jun 2015 22:00:00 -0000

ros-melodic-srdfdom (0.2.7-1bionic) bionic; urgency=high

  * fixing dependencies for https://github.com/ros/rosdistro/issues/4633
  * added travis build status indicator in README.md
  * added travis support
  * use FindTinyXML from cmake_module
  * Contributors: Dave Coleman, Dave Hershberger, Ioan Sucan, Tully Foote

 -- Dave Coleman <dave@dav.ee>  Mon, 30 Jun 2014 22:00:00 -0000

ros-melodic-srdfdom (0.2.6-1bionic) bionic; urgency=high

  * fix incorrect tag name

 -- Dave Coleman <dave@dav.ee>  Thu, 18 Jul 2013 22:00:00 -0000
